{   // Minor Magic I (fire)
    SPELL_MAGIC_DART,
    SPELL_SUMMON_SMALL_MAMMALS,
    SPELL_THROW_FLAME,
    SPELL_BLINK,
    SPELL_SLOW,
    SPELL_MEPHITIC_CLOUD,
    SPELL_CONJURE_FLAME,
    SPELL_NO_SPELL,
},

{   // Minor Magic II (ice)
    SPELL_MAGIC_DART,
    SPELL_THROW_FROST,
    SPELL_BLINK,
    SPELL_STICKS_TO_SNAKES,
    SPELL_SLOW,
    SPELL_MEPHITIC_CLOUD,
    SPELL_OZOCUBUS_ARMOUR,
    SPELL_NO_SPELL,
},

{   // Minor Magic III (summ)
    SPELL_MAGIC_DART,
    SPELL_SUMMON_SMALL_MAMMALS,
    SPELL_BLINK,
    SPELL_REPEL_MISSILES,
    SPELL_SLOW,
    SPELL_CALL_CANINE_FAMILIAR,
    SPELL_MEPHITIC_CLOUD,
    SPELL_NO_SPELL,
},

{   // Book of Conjurations I - Fire and Earth
    SPELL_MAGIC_DART,
    SPELL_THROW_FLAME,
    SPELL_STONE_ARROW,
    SPELL_CONJURE_FLAME,
    SPELL_BOLT_OF_MAGMA,
    SPELL_FIREBALL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Conjurations II - Air and Ice
    SPELL_MAGIC_DART,
    SPELL_THROW_FROST,
    SPELL_MEPHITIC_CLOUD,
    SPELL_DISCHARGE,
    SPELL_BOLT_OF_COLD,
    SPELL_FREEZING_CLOUD,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Flames
    SPELL_FLAME_TONGUE,
    SPELL_THROW_FLAME,
    SPELL_CONJURE_FLAME,
    SPELL_STICKY_FLAME,
    SPELL_BOLT_OF_FIRE,
    SPELL_FIREBALL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Frost
    SPELL_FREEZE,
    SPELL_THROW_FROST,
    SPELL_OZOCUBUS_ARMOUR,
    SPELL_THROW_ICICLE,
    SPELL_SUMMON_ICE_BEAST,
    SPELL_FREEZING_CLOUD,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Summonings
    SPELL_ABJURATION,
    SPELL_RECALL,
    SPELL_SUMMON_ELEMENTAL,
    SPELL_SHADOW_CREATURES,
    SPELL_SUMMON_DEMON,
    SPELL_SUMMON_UGLY_THING,
    SPELL_SUMMON_HYDRA,
    SPELL_SUMMON_DRAGON,

},

{   // Book of Fire
    SPELL_FIRE_BRAND,
    SPELL_BOLT_OF_MAGMA,
    SPELL_IGNITE_POISON,
    SPELL_FIREBALL,
    SPELL_DELAYED_FIREBALL,
    SPELL_RING_OF_FLAMES,
    SPELL_DRAGON_FORM,
    SPELL_NO_SPELL,
},

{   // Book of Ice
    SPELL_FREEZING_AURA,
    SPELL_HIBERNATION,
    SPELL_CONDENSATION_SHIELD,
    SPELL_OZOCUBUS_REFRIGERATION,
    SPELL_BOLT_OF_COLD,
    SPELL_SIMULACRUM,
    SPELL_ENGLACIATION,
    SPELL_NO_SPELL,
},

{   // Book of Spatial Translocations
    SPELL_APPORTATION,
    SPELL_PORTAL_PROJECTILE,
    SPELL_BLINK,
    SPELL_RECALL,
    SPELL_TELEPORT_OTHER,
    SPELL_CONTROL_TELEPORT,
    SPELL_TELEPORT_SELF,
    SPELL_NO_SPELL,
},

{   // Book of Enchantments (fourth one)
    SPELL_LEVITATION,
    SPELL_TUKIMAS_DANCE,
    SPELL_SEE_INVISIBLE,
    SPELL_CAUSE_FEAR,
    SPELL_EXTENSION,
    SPELL_DEFLECT_MISSILES,
    SPELL_HASTE,
    SPELL_TUKIMAS_DANCE_PARTY,
},

{   // Young Poisoner's Handbook
    SPELL_STING,
    SPELL_CURE_POISON,
    SPELL_POISON_WEAPON,
    SPELL_MEPHITIC_CLOUD,
    SPELL_VENOM_BOLT,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of the Tempests
    SPELL_DISCHARGE,
    SPELL_LIGHTNING_BOLT,
    SPELL_FIREBALL,
    SPELL_TORNADO,
    SPELL_SHATTER,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Death
    SPELL_CORPSE_ROT,
    SPELL_SUBLIMATION_OF_BLOOD,
    SPELL_AGONY,
    SPELL_EXCRUCIATING_WOUNDS,
    SPELL_BOLT_OF_DRAINING,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Hinderance
    SPELL_CONFUSING_TOUCH,
    SPELL_SLOW,
    SPELL_CONFUSE,
    SPELL_PETRIFY,
    SPELL_LEDAS_LIQUEFACTION,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Changes
    SPELL_FULSOME_DISTILLATION,
    SPELL_STICKS_TO_SNAKES,
    SPELL_EVAPORATE,
    SPELL_SPIDER_FORM,
    SPELL_ICE_FORM,
    SPELL_DIG,
    SPELL_BLADE_HANDS,
    SPELL_NO_SPELL,
},

{   // Book of Transfigurations
    SPELL_SANDBLAST,
    SPELL_POLYMORPH_OTHER,
    SPELL_STATUE_FORM,
    SPELL_ALTER_SELF,
    SPELL_DRAGON_FORM,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of War Chants
    SPELL_FIRE_BRAND,
    SPELL_FREEZING_AURA,
    SPELL_REPEL_MISSILES,
    SPELL_BERSERKER_RAGE,
    SPELL_REGENERATION,
    SPELL_HASTE,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Clouds
    SPELL_EVAPORATE,
    SPELL_MEPHITIC_CLOUD,
    SPELL_CONJURE_FLAME,
    SPELL_POISONOUS_CLOUD,
    SPELL_FREEZING_CLOUD,
    SPELL_TORNADO,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Necromancy
    SPELL_PAIN,
    SPELL_ANIMATE_SKELETON,
    SPELL_LETHAL_INFUSION,
    SPELL_VAMPIRIC_DRAINING,
    SPELL_REGENERATION,
    SPELL_DISPEL_UNDEAD,
    SPELL_ANIMATE_DEAD,
    SPELL_NO_SPELL,
},

{   // Book of Callings
    SPELL_SUMMON_SMALL_MAMMALS,
    SPELL_CALL_IMP,
    SPELL_CALL_CANINE_FAMILIAR,
    SPELL_SUMMON_SCORPIONS,
    SPELL_SUMMON_ICE_BEAST,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Maledictions
    SPELL_CORONA,
    SPELL_SURE_BLADE,
    SPELL_HIBERNATION,
    SPELL_CONFUSE,
    SPELL_ENSLAVEMENT,
    SPELL_SILENCE,
    SPELL_INVISIBILITY,
    SPELL_NO_SPELL,
},

{   // Book of Air
    SPELL_SHOCK,
    SPELL_SWIFTNESS,
    SPELL_REPEL_MISSILES,
    SPELL_LEVITATION,
    SPELL_MEPHITIC_CLOUD,
    SPELL_DISCHARGE,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of the Sky
    SPELL_INSULATION,
    SPELL_AIRSTRIKE,
    SPELL_FLY,
    SPELL_SILENCE,
    SPELL_LIGHTNING_BOLT,
    SPELL_DEFLECT_MISSILES,
    SPELL_CONJURE_BALL_LIGHTNING,
    SPELL_NO_SPELL,
},


{   // Book of the Warp
    SPELL_BANISHMENT,
    SPELL_PHASE_SHIFT,
    SPELL_GOLUBRIAS_PASSAGE,
    SPELL_WARP_BRAND,
    SPELL_DISPERSAL,
    SPELL_CONTROLLED_BLINK,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Envenomations
    SPELL_SPIDER_FORM,
    SPELL_POISON_WEAPON,
    SPELL_SUMMON_SCORPIONS,
    SPELL_RESIST_POISON,
    SPELL_OLGREBS_TOXIC_RADIANCE,
    SPELL_POISONOUS_CLOUD,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Unlife
    SPELL_RECALL,
    SPELL_ANIMATE_DEAD,
    SPELL_TWISTED_RESURRECTION,
    SPELL_CONTROL_UNDEAD,
    SPELL_SIMULACRUM,
    SPELL_DEATH_CHANNEL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Control
    SPELL_CONTROL_TELEPORT,
    SPELL_ENSLAVEMENT,
    SPELL_MASS_CONFUSION,
    SPELL_CONTROL_UNDEAD,
    SPELL_ENGLACIATION,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Morphology
    SPELL_POLYMORPH_OTHER,
    SPELL_FRAGMENTATION,
    SPELL_CIGOTUVIS_DEGENERATION,
    SPELL_IGNITE_POISON,
    SPELL_ALTER_SELF,
    SPELL_SHATTER,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Geomancy
    SPELL_SANDBLAST,
    SPELL_STONESKIN,
    SPELL_PASSWALL,
    SPELL_STONE_ARROW,
    SPELL_PETRIFY,
    SPELL_FRAGMENTATION,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Earth
    SPELL_MAXWELLS_SILVER_HAMMER,
    SPELL_DIG,
    SPELL_STATUE_FORM,
    SPELL_IRON_SHOT,
    SPELL_LEDAS_LIQUEFACTION,
    SPELL_SHATTER,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL
},

{   // Book of Wizardry
    SPELL_SUMMON_ELEMENTAL,
    SPELL_TELEPORT_SELF,
    SPELL_AGONY,
    SPELL_LIGHTNING_BOLT,
    SPELL_FIREBALL,
    SPELL_HASTE,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Power
    SPELL_TELEPORT_OTHER,
    SPELL_ANIMATE_DEAD,
    SPELL_ISKENDERUNS_MYSTIC_BLAST,
    SPELL_VENOM_BOLT,
    SPELL_POISONOUS_CLOUD,
    SPELL_IRON_SHOT,
    SPELL_INVISIBILITY,
    SPELL_MASS_CONFUSION,
},

{   // Book of Cantrips
    SPELL_CONFUSING_TOUCH,
    SPELL_ANIMATE_SKELETON,
    SPELL_SUMMON_SMALL_MAMMALS,
    SPELL_APPORTATION,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Party Tricks
    SPELL_SUMMON_BUTTERFLIES,
    SPELL_APPORTATION,
    SPELL_PROJECTED_NOISE,
    SPELL_BLINK,
    SPELL_LEVITATION,
    SPELL_INTOXICATE,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Stalking
    SPELL_FULSOME_DISTILLATION,
    SPELL_EVAPORATE,
    SPELL_PASSWALL,
    SPELL_PETRIFY,
    SPELL_DIG,
    SPELL_NO_SPELL,
},

{   // Book of Brands
    SPELL_CORONA,
    SPELL_SWIFTNESS,
    SPELL_FIRE_BRAND,
    SPELL_FREEZING_AURA,
    SPELL_POISON_WEAPON,
    SPELL_CAUSE_FEAR,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Tome of the Dragon
    SPELL_FLY,
    SPELL_CAUSE_FEAR,
    SPELL_BOLT_OF_FIRE,
    SPELL_DRAGON_FORM,
    SPELL_SUMMON_DRAGON,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Burglary
    SPELL_APPORTATION,
    SPELL_SWIFTNESS,
    SPELL_PASSWALL,
    SPELL_CONTROL_TELEPORT,
    SPELL_FRAGMENTATION,
    SPELL_GOLUBRIAS_PASSAGE,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Dreams
    SPELL_HIBERNATION,
    SPELL_INTOXICATE,
    SPELL_FLY,
    SPELL_PHASE_SHIFT,
    SPELL_SHADOW_CREATURES,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Chemistry
    SPELL_FULSOME_DISTILLATION,
    SPELL_LETHAL_INFUSION,
    SPELL_SUBLIMATION_OF_BLOOD,
    SPELL_EVAPORATE,
    SPELL_CONDENSATION_SHIELD,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Annihilations - Vehumet special
    SPELL_POISON_ARROW,
    SPELL_IOOD,
    SPELL_CHAIN_LIGHTNING,
    SPELL_LEHUDIBS_CRYSTAL_SPEAR,
    SPELL_ICE_STORM,
    SPELL_FIRE_STORM,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Demonology - Vehumet special
    SPELL_DEMONIC_HORDE,
    SPELL_HAUNT,
    SPELL_SUMMON_GREATER_DEMON,
    SPELL_MALIGN_GATEWAY,
    SPELL_SUMMON_HORRIBLE_THINGS,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Necronomicon - Kikubaaqudgha special
    SPELL_SYMBOL_OF_TORMENT,
    SPELL_BORGNJORS_REVIVIFICATION,
    SPELL_HAUNT,
    SPELL_DEATHS_DOOR,
    SPELL_NECROMUTATION,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Randart Spellbook (by level)
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Randart Spellbook (by theme)
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Book of Card Effects
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // manuals of all kinds
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Tome of Destruction
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

    // Rods - start at NUM_BOOKS.

{   // Rod of smiting
    SPELL_SMITING,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Rod of summoning
    SPELL_ABJURATION,
    SPELL_RECALL,
    SPELL_SUMMON_ELEMENTAL,
    SPELL_SUMMON_SWARM,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Rod of destruction (fire)
    SPELL_THROW_FLAME,
    SPELL_BOLT_OF_FIRE,
    SPELL_FIREBALL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Rod of destruction (ice)
    SPELL_THROW_FROST,
    SPELL_THROW_ICICLE,
    SPELL_FREEZING_CLOUD,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Rod of destruction (lightning, iron, fireball)
    SPELL_LIGHTNING_BOLT,
    SPELL_IRON_SHOT,
    SPELL_FIREBALL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Rod of destruction (inaccuracy, magma, cold)
    SPELL_BOLT_OF_INACCURACY,
    SPELL_BOLT_OF_MAGMA,
    SPELL_BOLT_OF_COLD,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Rod of warding
    SPELL_ABJURATION,
    SPELL_CONDENSATION_SHIELD,
    SPELL_CAUSE_FEAR,
    SPELL_DEFLECT_MISSILES,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Rod of demonology
    SPELL_CALL_IMP,
    SPELL_ABJURATION,
    SPELL_RECALL,
    SPELL_SUMMON_DEMON,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Rod of striking
    SPELL_STRIKING,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
},

{   // Rod of venom
    SPELL_CURE_POISON,
    SPELL_VENOM_BOLT,
    SPELL_POISONOUS_CLOUD,
    SPELL_POISON_ARROW,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL,
    SPELL_NO_SPELL
},
